Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
roles
List workspace roles
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/roles \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "first_name": "<string>",
      "last_name": "<string>",
      "last_login": "2023-11-07T05:31:56Z",
      "picture": "<string>",
      "is_active": true
    },
    "workspace": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "added_by": "<string>",
    "role": "workspace_viewer"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

include_inherited
boolean

If set to true, will include inherited roles from organization roles. Id will be set to None

Response

200 - application/json

A list of all the user workspace roles on the specified workspace

id
string<uuid>
required
read-only
user
object
required
workspace
string<uuid>
required
added_by
string
required
read-only
role
enum<string>
  • workspace_viewer - Workspace Viewer
  • workspace_editor - Workspace Editor
Available options:
workspace_viewer,
workspace_editor